Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.jasperreports.domain.impl.datasource
Class RepoCustomDataSource

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
          com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResource
              com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoDataSource
                  com.jaspersoft.jasperserver.api.metadata.jasperreports.domain.impl.datasource.RepoCustomDataSource

All Implemented Interfaces:
  IdedObject, RepoReportDataSource

    public class RepoCustomDataSource

extends RepoDataSource
implements RepoReportDataSource

Author:
  swood

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
`creationDate, description, id, label, name, parent, version`

Constructor Summary
`RepoCustomDataSource()`

Method Summary
`protected void` | `copyFrom(Resource clientRes, ReferenceResolver referenceResolver)`
`protected void` | `copyTo(Resource clientRes, ResourceFactory resourceFactory)`
`protected java.lang.Class` | `getClientItf()`
`java.util.Map` | `getPropertyMap()`
`java.lang.String` | `getServiceClass()`
`void` | `setPropertyMap(java.util.Map propertyMap)`
`void` | `setServiceClass(java.lang.String serviceClass)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResource
`addNewChild, copyFromClient, equals, filterChildren, getChildrenFolder, getClientReference, getReference, getReference, hashCode, initNewChildren, setChildrenFolder, toClient, toClientLookup, toString`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
`copyFrom, copyFromClient, copyTo, getCreationDate, getDescription, getId, getLabel, getName, getParent, getResourceURI, getVersion, isNew, setCreationDate, setDescription, setId, setLabel, setName, setParent, setVersion`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.jasperreports.domain.impl.datasource.RepoReportDataSource
`getName, getParent`

Constructor Detail

### RepoCustomDataSource

    public RepoCustomDataSource()

Method Detail

### getClientItf

    protected java.lang.Class getClientItf()

  Specified by:
    `getClientItf` in class `RepoResourceBase`

### getPropertyMap

    public java.util.Map getPropertyMap()

### setPropertyMap

    public void setPropertyMap(java.util.Map propertyMap)

### getServiceClass

    public java.lang.String getServiceClass()

### setServiceClass

    public void setServiceClass(java.lang.String serviceClass)

### copyTo

    protected void copyTo(Resource clientRes,
                          ResourceFactory resourceFactory)

  Overrides:
    `copyTo` in class `RepoResource`

### copyFrom

    protected void copyFrom(Resource clientRes,
                            ReferenceResolver referenceResolver)

  Overrides:
    `copyFrom` in class `RepoResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.